## ros-indigo-map-msgs 0.0.2

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(map_msgs)
find_package(catkin REQUIRED COMPONENTS std_msgs sensor_msgs nav_msgs message_generation)


add_message_files(
  FILES
  OccupancyGridUpdate.msg
  PointCloud2Update.msg
  ProjectedMapInfo.msg
  ProjectedMap.msg
)
add_service_files(
  FILES
  GetMapROI.srv
  GetPointMapROI.srv
  GetPointMap.srv
  ProjectedMapsInfo.srv
  SaveMap.srv
  SetMapProjections.srv
)

generate_messages(DEPENDENCIES std_msgs sensor_msgs nav_msgs)

catkin_package(CATKIN_DEPENDS std_msgs sensor_msgs nav_msgs)

=== debian/changelog ===
ros-indigo-map-msgs (0.0.2-1trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Stéphane Magnenat <stephane@magnenat.net>  Thu, 06 Mar 2014 09:33:17 -0000

=== debian/control ===
Source: ros-indigo-map-msgs
Section: misc
Priority: extra
Maintainer: Stéphane Magnenat <stephane@magnenat.net>
Build-Depends: debhelper (>= 7.0.50~), ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-nav-msgs, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: http://ros.org/wiki/map_msgs
Standards-Version: 3.9.2

Package: ros-indigo-map-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-message-runtime, ros-indigo-nav-msgs, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Description: This package defines messages commonly used in mapping packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-map-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
